
###
###  Copyright 2000-2008 University of Illinois Board of Trustees
###  All rights reserved.
###
###  02-control.t - test script for Control Modules.
###
###  Campus Information Technologies and Educational Services
###  University of Illinois at Urbana-Champaign
###

use Test;

use lib './t';
use t;

File::Find::find( { wanted => \&t::wanted }, 'lib/PSGConf/Control' );

plan tests => scalar @t::found;

foreach $module (@t::found)
{

    ###
    ### Massage the file name to convert it into perl use syntax
    ###
    $module =~ s,^lib/,,;
    $module =~ s,/,::,g;
    $module =~ s/.pm$//;

    ### Create the t/psgconf_modules.test file
    `egrep "^DataStore|$module" etc/psgconf_modules > t/psgconf_modules.test`;
    if ( !$? )
    {
        my ($psgconf) =
          PSGConf->new( %t::psgconf_options,
            modules_file => './t/psgconf_modules.test' );

        ok( defined $psgconf, 1, "$module failed" );

        undef $psgconf;

    } else
    {
        ok( 0, 1, "Could not create t/psgconf_modules.test file" );
    }
}

unlink('t/psgconf_modules.test')
  if ( -f 't/psgconf_modules.test' );
