
###
###  Copyright 2000-2008 University of Illinois Board of Trustees
###  All rights reserved.
###
###  08-perltidy.t - test script for running through perl tidy
###
###  Campus Information Technologies and Educational Services
###  University of Illinois at Urbana-Champaign
###

use Test;
use Text::Diff;

use lib './t';
use t;

File::Find::find( { wanted => \&t::wanted }, 'sbin' );

@scripts  = @t::found;
@t::found = ();

File::Find::find( { wanted => \&t::wanted }, 'lib' );

@modules = @t::found;

plan tests => scalar @modules + scalar @scripts;

eval "use Perl::Tidy;";
$yes = !$@;

foreach $file ( @modules, @scripts )
{
    if ($yes)
    {
        perltidy(
            source      => $file,
            destination => \$dest,
            perltidyrc  => 'perltidyrc'
        );
        ok( diff( $file, \$dest ),
            "", "File ($file) did not pass Perl::Tidy test\n" );
    } else
    {
        skip( "Perl::Tidy not installed", 1 );
    }
}
