
###
###  Copyright 2000-2008 University of Illinois Board of Trustees
###  All rights reserved.
###
###  t.pm - Common code for all test files
###
###  Campus Information Technologies and Educational Services
###  University of Illinois at Urbana-Champaign
###

package t;

use File::Find;
use PSGConf;
use warnings;
use strict;

our @found;
$ENV{'PSGCONF_TMPDIR'} = "./test.$$";

our %psgconf_options = (
    config_dir      => './config',
    files_dir       => './files',
    modules_file    => './etc/psgconf_modules',
    restart_daemons => 1,
    update_pkgs     => 0,
    rm_tmpfiles     => 1,
    tmpdir          => $ENV{'PSGCONF_TMPDIR'}
);

### Find all the perl files and add them to the list to use.
sub wanted
{
    ### Ignore CVS directories, merge files and VIM swap files.
    -d $_ && $_ eq 'CVS' && ( $File::Find::prune = 1 );
    -f $_ && $_ !~ /^\..*.swp$/ && $_ !~ /^\.\#.*$/ && push @found,
      $File::Find::name;
}

1;
